import { Component } from 'react';
export default class AddressComponent extends Component<any> {
    static displayName: string;
    constructor(props: any);
    componentWillReceiveProps(props: any): void;
    touchStart(): void;
    nocheckName: (e: any) => void;
    nocheckPhone: (e: any) => void;
    nocheckEmail: (e: any) => void;
    checkname: (e: any) => void;
    checkphone: (e: any) => void;
    checkemail: (e: any) => void;
    handleSubmit: () => Promise<void>;
    handleTip: (placeholder: any) => JSX.Element;
    render(): JSX.Element;
}
